Subject: CCL:Re: CCL:A General Statement about Non-Intel x86 Processors

From: Eugene Leitl <[email-masked]>
Date: Wed, 8 Apr 1998 16:47:15 +0400 (MSD)

Michael Hodgson writes:
 > I would however agree here, but for different reasons.  
 > 
 > 1) Compilers, kernals etc, can often be optomised for a generation of
 > processor.  This means intel, as they largely control the standard.
 > (Based largely on linux observations)
 
Definitely true. I have consulted the passage from an pdf document on
AMD K6 optimization from AMD's site in regards to x86-deviating
specifics. It is a very long list, and afaik no C compiler is
supporting this currently. Imo, there is definitely lots of room in 
code optimization for the AMD K6 family of processors. The same also 
applies to the Alpha AXP line, though now there is egcs. FYI, Alpha
will be going 1 GHz sometime soon. 
 
 > 2) Upgradability or "Future proofing".  Give your machine the longest life
 > you can.  If you buy pentium II the chances are your memory, HDD MB etc
 > will last for a number of years, and with intel promising 450+ cpu speeds

They may last a decade, or more, but they will be distinctly
outperformed by then. We now have 100 MHz SDRAM modules and
motherboards. We are likely to get RamBus, or similiar memory next. If 
you talk SCSI, then _which_ SCSI? Fibre channel is in the pipeline. If 
you think EIDE, there is UltraDMA, which is probably not the last
thing to come.

I don't think it is wise to purchase top-notch hardware and expect to
run it until it rusts. Planning for incremental upgrades is imo the
way to go in current rapidly changing markets.

 > by the end of the year there is still a lot of expansion left in them.  If

But at which cost? Both $$$'s, and the damage to the marketplace. A
monopoly's maxime is profit maximization, not optimal technology for
the customer. Haven't you heard the developments for Merced planned to 
be NDA, thus effectively shutting out free source OSsses, mostly free
Unices? Do you really want to support a company with such a policy?

 > you still need more power you can go for a duel processor machine, but
 > multiprocessors again means intel (they also have to be the same speed).

There is an alternative specification for SMP AMD complies to, but
there are not motherboards supporting it. FYI, AMD & Cyrix very
recently have joined forces, having adopted a common MMX standard
(AMD's). (Don't laugh, SIMD in a register is great for certain codes).

 > Going for a K6 however and you have to ask how much more can they get out
 > of socket 7 ?  Maybe 300Mhz, but that's gonna be one hot cpu :) 
 
This is also wrong. AMD K6/266, which is a very cool CPU, should be now
available in quantities. AMD K6 3D, soon to come out, will feature 300 
MHz. Of course the concurrence labours against the handicap of DECs
high-frequency technology having been bought by Intel. We should not
forget that DEC has been forced to this unpopular decision by Intel's
monopolist market position.

 > 3)  At the moment the bottom end of the pentium II market is really very
 > cheap indeed and you would not save much in buying AMD.  If you are
 > looking at upgrading a current system, then it's a different matter, but
 > buying new I think the PII wins every time on price/performance.
 
I think it depends on your problem. For MD a few-node switchless
(multiple NICs/node) AMD K6/233 (266?) Beowulf would seem ideal. Investing
the $$$ difference into a 100 MHz motherboard, 1 MByte 2nd level cache and 
2 UltraDMA-capable HDs in RAID 0 (disk striping) should compensate
somewhat for its slight float weakness (but do a benchmark! The
difference may be less than you expected). FYI, Mesa, the free OpenGL
clone now supports Voodoo chipsets, which nicely complement a Matrox
Millenium II with its raw xstones.

A dual CPU Pentium II machine with SMP Linux would also seem a choice.

 > -Michael

Regards,
Eugene